明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 900|回复: 1

生成椭圆时出错

[复制链接]
发表于 2014-8-11 20:12 | 显示全部楼层 |阅读模式
在生成椭圆时,出现了一下错误:

>e:\objecarx2010mulu\createentitys\createentitys\acrxentrypoint.cpp(76) : error C2665: “CCreateEnt::CreateEllipse”: 2 个重载中没有一个可以转换所有参数类型
1>e:\objecarx2010mulu\createentitys\createentitys\createent.h(15): 可能是“AcDbObjectId CCreateEnt::CreateEllipse(const AcGePointEnt3d,AcGeVector3d,AcGeVector3d,double)”
1>试图匹配参数列表“(const AcGePoint3d, AcGeVector3d, AcGeVector3d, double)”时
1>CreateEnt.cpp
1>e:\objecarx2010mulu\createentitys\createentitys\createent.cpp(42) : error C2143: 语法错误 : 缺少“)”(在“const”的前面)
1>e:\objecarx2010mulu\createentitys\createentitys\createent.cpp(42) : error C2661: “CCreateEnt::CreateEllipse”: 没有重载函数接受 0 个参数
1>e:\objecarx2010mulu\createentitys\createentitys\createent.cpp(42) : error C2059: 语法错误 : “)”


实现代码:
                   AcGeVector3d vecNormal(0,0,1);
                AcGeVector3d majorAxis(40,0,0);
                AcDbObjectId entId;
                entId = CCreateEnt::CreateEllipse( AcGePoint3d::kOrigin,vecNormal,majorAxis,0.5);
                //外接矩形
                AcGePoint2d pt1(60,80),pt2(140,120);
                CCreateEnt::CreateEllipse(pt1,pt2);
发表于 2015-9-28 15:48 | 显示全部楼层
1>e:\objecarx2010mulu\createentitys\createentitys\createent.h(15): 可能是“AcDbObjectId CCreateEnt::CreateEllipse(const AcGePointEnt3d,AcGeVector3d,AcGeVector3d,double)”
1>试图匹配参数列表“(const AcGePoint3d, AcGeVector3d, AcGeVector3d, double)”时
这两个怎么不一样?
另外,你的代码中可能还有格式错误。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-3-29 00:09 , Processed in 0.198424 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表